def run(*cmd)
  exit_method = cmd.last == :soft_fail ? cmd.pop : :hard_fail
  Process.wait Kernel.spawn(*cmd)
  if not $?.success?
    message = cmd.join ' '
    exit_method == :soft_fail ? warn(message) : raise(message)
  end
end

ARGV.each do |argument|
  case argument
  when '--fresh' then run('vagrant', 'destroy', '--force')
  end
end

run 'vagrant', 'plugin', 'install', 'vagrant-reload', :soft_fail
run 'vagrant', 'up'
run 'vagrant', 'ssh', '-c', 'tmuxinator start pry_send_tweet'
